(function ($) {
	"use strict";

	const $document = $(document);
	const $window = $(window);

	offcanvasMiniCart();

	function offcanvasMiniCart() {
		const offcanvas = $(".everse-offcanvas-default");
		const trigger = $(".everse-offcanvas-js-trigger");

		if (0 === offcanvas.length) {
			return;
		}

		if (trigger.length > 0) {
			const panel = offcanvas.find(".everse-offcanvas__panel");
			const overlay = offcanvas.find(".everse-offcanvas__overlay");
			const close = offcanvas.find(".everse-offcanvas__close");

			$document.on("added_to_cart", () => {
				if (
					typeof wc_add_to_cart_params !== "undefined" ||
					wc_add_to_cart_params.cart_redirect_after_add !== "yes"
				) {
					panel.addClass("everse-offcanvas__panel--is-open");
				}
			});

			trigger.on("click", (e) => {
				e.preventDefault();
				panel.addClass("everse-offcanvas__panel--is-open");
			});

			close.on("click", (e) => {
				closePanel(panel);
			}); // Close on overlay click

			overlay.on("click", (e) => {
				closePanel(panel);
			}); // Close on scroll

			$window.on("scroll", (e) => {
				closePanel(panel);
			}); // Close on click or on esc

			$document.on("keyup", (e) => {
				if (e.key === "Escape" || 27 === e.keyCode) {
					closePanel(panel);
				}
			});
		}

		function closePanel(panel) {
			panel.removeClass("everse-offcanvas__panel--is-open");
			document.activeElement.blur();
		}
	}
})(jQuery);
